{if isset($error)}
<div class="alert alert-danger"><i class="fa fa-info-circle"></i> {$error}</div>
{/if}
{if isset($success)}
<div class="alert alert-success"><i class="fa fa-info-circle"></i> {$success}</div>
{/if}
<div class="well">
	<strong>Code / Inhalt erstellen</strong><br>
	F&uuml;llen Sie nachfolgendes Formular aus, um Ihren Inhalt oder Code zu erstellen.
</div>


<form action="" method="post">
	{if isset($entry)}<input type="hidden" name="entryId" value="{$entry->id}">{/if}
	
	<div class="panel panel-default">
		<div class="panel-heading">
			<h3 class="panel-title">Allgemein</h3>
		</div>
		<div class="panel-body">
			<div class="input-group">
				<span class="input-group-addon"><label for="name">Name</label></span>
				<span class="input-group-wrap">
				<input class="form-control" type="text" name="name" id="name" value="{if isset($entry)}{$entry->name}{/if}">
				</span>
				<span class="input-group-addon"><button type="button" class="btn-tooltip btn btn-info btn-heading" data-html="true" data-toggle="tooltip" data-placement="left" title="" data-original-title="Bezeichnung (wird nicht ausgegeben)"><i class="fa fa-question"></i></button></span>
			</div>
			<div class="input-group">
				<span class="input-group-addon"><label for="catId">Kategorie</label></span>
				<span class="input-group-wrap">
					<select class="form-control" name="catId" id="catId">
					{foreach from=$categories item=item}
						<option value="{$item->id}"{if $item->id == $category->id} selected{/if}>{$item->name}</option>
					{/foreach}
					</select>
				</span>
				<span class="input-group-addon"><button type="button" class="btn-tooltip btn btn-info btn-heading" data-html="true" data-toggle="tooltip" data-placement="left" title="" data-original-title="In welche Kategorie m&ouml;chten Sie den Inhalt einordnen?"><i class="fa fa-question"></i></button></span>
			</div>
			<div class="input-group">
				<span class="input-group-addon"><label for="type">Typ</label></span>
				<span class="input-group-wrap">
					<select class="form-control" name="type" id="type">
						<option value="0"{if isset($entry) && $entry->type==0} selected{/if}>HTML-Code</option>
						<option value="1"{if isset($entry) && $entry->type==1} selected{/if}>Inhalt</option>
						<option value="2"{if isset($entry) && $entry->type==2} selected{/if}>Plain-Text</option>
						<option value="3"{if isset($entry) && $entry->type==3} selected{/if}>Bild</option>
					</select>
				</span>
				<span class="input-group-addon"><button type="button" class="btn-tooltip btn btn-info btn-heading" data-html="true" data-toggle="tooltip" data-placement="left" title="" data-original-title="Code = HTML-Inhalt (der mit Smarty geparst wird), Inhalt = Textelement mit Rich-Text-Editor, Plain = HTMl oder Text (jedoch ohne Smarty Parser, aber mit Variablen in der Form ###km_variable###) f&uuml;r z.B. JavaScript Codes"><i class="fa fa-question"></i></button></span>
			</div>
			<div class="input-group">
				<span class="input-group-addon"><label for="insertPosition">Einf&uuml;ge-Stelle</label></span>
				<span class="input-group-wrap">
				<input class="form-control" type="text" name="insertPosition" id="insertPosition" value="{if isset($entry)}{$entry->insertPosition}{/if}">
				</span>
				<span class="input-group-addon"><button type="button" class="btn-tooltip btn btn-info btn-heading" data-html="true" data-toggle="tooltip" data-placement="left" title="" data-original-title="HTML-Position &auml;hnlich wie in JQuery (z.B: header oder #evo-main-wrapper)"><i class="fa fa-question"></i></button></span>
			</div>
			<div class="input-group">
				<span class="input-group-addon"><label for="insertType">Einf&uuml;ge-Methode</label></span>
				<span class="input-group-wrap">
					<select class="form-control" name="insertType" id="insertType">
						<option value="0"{if isset($entry) && $entry->insertType==0} selected{/if}>Vor dem Element (before)</option>
						<option value="1"{if isset($entry) && $entry->insertType==1} selected{/if}>Nach dem Element (after)</option>
						<option value="2"{if isset($entry) && $entry->insertType==2} selected{/if}>Element Ersetzen (replaceWith)</option>
						<option value="5"{if isset($entry) && $entry->insertType==5} selected{/if}>Innerhalb vom Element Ersetzen (html)</option>
						<option value="3"{if isset($entry) && $entry->insertType==3} selected{/if}>Im Element am Anfang (prepend)</option>
						<option value="4"{if isset($entry) && $entry->insertType==4} selected{/if}>Im Element am Ende (append)</option>
					</select>
				</span>
				<span class="input-group-addon"><button type="button" class="btn-tooltip btn btn-info btn-heading" data-html="true" data-toggle="tooltip" data-placement="left" title="" data-original-title="mittels den PHPQuery Funktionen insertBefore, insertAfter, replaceWith, append und prepend"><i class="fa fa-question"></i></button></span>
			</div>
			<div class="input-group">
				<span class="input-group-addon"><label for="sort">Sortierung</label></span>
				<span class="input-group-wrap">
				<input class="form-control" type="number" name="sort" id="sort" value="{if isset($entry)}{$entry->sort}{/if}">
				</span>
				<span class="input-group-addon"><button type="button" class="btn-tooltip btn btn-info btn-heading" data-html="true" data-toggle="tooltip" data-placement="left" title="" data-original-title="Ausgabe wird aufsteigend nach der Sortierung ausgegeben. (sofern auf das gleiche Element angewandt wird)."><i class="fa fa-question"></i></button></span>
			</div>
			<div class="input-group">
				<span class="input-group-addon"><label for="wrapper">Wrapper</label></span>
				<span class="input-group-wrap">
				<input class="form-control" type="text" name="wrapper" id="wrapper" value="{if isset($entry)}{$entry->wrapper}{/if}" placeholder="<div>%s</div>">
				</span>
				<span class="input-group-addon"><button type="button" class="btn-tooltip btn btn-info btn-heading" data-html="true" data-toggle="tooltip" data-placement="left" title="" data-original-title="Generierter Inhalt %s wird vom Wrapper umschlossen."><i class="fa fa-question"></i></button></span>
			</div>
		</div>
	</div>
	
	<div class="panel panel-default" id="codes">
		<div class="panel-heading">
			<h3 class="panel-title">Inhalt</h3>
		</div>
		<div class="panel-body" id="code-inhalt">
			<div class="alert alert-info"><i class="fa fa-info-circle"></i>
				Sie k&ouml;nnen w&auml;hrend der Bearbeitung in den Tab "Variablen" springen um dort Ihre Variablen einzusehen.
			</div>
			<div class="input-group">
				<span class="input-group-addon"><label for="code">HTML-Code</label></span>
				<span class="input-group-wrap">
					<textarea class="form-control" id="code" name="code" style="height:400px;">{if isset($entry) && $entry->type != 3}{$entry->code|escape}{/if}</textarea>
				</span>
			</div>
		</div>
	</div>
	
	<div class="panel panel-default" id="bild">
		<div class="panel-heading">
			<h3 class="panel-title">Bild</h3>
		</div>
		<div class="panel-body">
			<div class="input-group">
				<span class="input-group-addon"><label for="imgType">Bild Einf&uuml;gemethode</label></span>
				<span class="input-group-wrap">
					<select class="form-control" name="imgType" id="imgType">
						<option value="0"{if isset($entry) && $entry->type==3 && $entry->imgType==0} selected{/if}>Als Bild</option>
						<option value="1"{if isset($entry) && $entry->type==3 && $entry->imgType==1} selected{/if}>Als Hintergrund</option>
					</select>
				</span>
				<span class="input-group-addon"><button type="button" class="btn-tooltip btn btn-info btn-heading" data-html="true" data-toggle="tooltip" data-placement="left" title="" data-original-title="Als Bild wird der img-Tag im figure-Tag verwendet. Als Hintergrund wird ein div generiert mit dem Bild als background-image."><i class="fa fa-question"></i></button></span>
			</div>
			<div class="input-group">
				<span class="input-group-addon"><label for="imgSrc">Bildpfad</label></span>
				<span class="input-group-wrap">
					<input class="form-control" type="text" name="imgSrc" id="imgSrc" value="{if isset($entry) && $entry->type==3}{$entry->imgSrc}{/if}">
				</span>
				<span class="input-group-addon"><button type="button" class="btn btn-info btn-xs" id="addImg"><i class="fa fa-search"></i></button></span>
			</div>
			<div class="input-group">
				<span class="input-group-addon"><label for="imgId">ID</label></span>
				<span class="input-group-wrap">
					<input class="form-control" type="text" name="imgId" id="imgId" value="{if isset($entry) && $entry->type==3}{$entry->imgId}{/if}">
				</span>
				<span class="input-group-addon"><button type="button" class="btn-tooltip btn btn-info btn-heading" data-html="true" data-toggle="tooltip" data-placement="left" title="" data-original-title="CSS-ID zum Styling. (Nur 1 Wert m&ouml;glich)"><i class="fa fa-question"></i></button></span>
			</div>
			<div class="input-group">
				<span class="input-group-addon"><label for="imgClass">Class</label></span>
				<span class="input-group-wrap">
					<input class="form-control" type="text" name="imgClass" id="imgClass" value="{if isset($entry) && $entry->type==3}{$entry->imgClass}{/if}">
				</span>
				<span class="input-group-addon"><button type="button" class="btn-tooltip btn btn-info btn-heading" data-html="true" data-toggle="tooltip" data-placement="left" title="" data-original-title="CSS-Klasse zum Styling. (Mehrere Werte mit Leerzeichen getrennt m&ouml;glich)"><i class="fa fa-question"></i></button></span>
			</div>
		</div>
	</div>
	
	<div class="panel panel-default">
		<div class="panel-heading">
			<h3 class="panel-title">Ausgabe filtern</h3>
		</div>
		<div class="panel-body">
			<div class="alert alert-info"><i class="fa fa-info-circle"></i>
				Sollten bereits Filter in der zugeh&ouml;rigen Kategorie gesetzt sein, sind diese ebenfalls in der Ausgabe aktiv.
			</div>
			<div class="input-group" id="filterVal">
				<span class="input-group-addon"><label>Filter</label></span>
				<span class="input-group-wrap">
					<div id="filterValDiv">{if isset($entry->filter)}{foreach from=$entry->filter item=filter}{$filter}{/foreach}{/if}</div>
				</span>
				<span class="input-group-addon"><button type="button" class="btn btn-info btn-xs" data-toggle="modal" data-target="#addFilter"><i class="fa fa-plus"></i></button></span>
			</div>
		</div>
	</div>

	<div class="panel btn-group">
		<button type="submit" name="save" value="abort" class="btn btn-default"><i class="fa fa-ban"></i> Abbrechen</button>
		<button type="submit" name="save" value="{if isset($entry)}updateEntry{else}saveEntry{/if}" class="btn btn-primary"><i class="fa fa-save"></i> Inhalt speichern</button>
	</div>
</form>
<script>$( document ).ready(function() {ldelim}changeCodeEditor({if isset($entry)}{$entry->type}{else}0{/if});{rdelim});</script>